
QGIS Application - Bug report #3487

Select features by rectangle does not work properly

2011-02-14 10:43 AM - elewis52 -

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 13547

Description

Using the rectangle select tool, does not work properly. The tool selects some features inside the selected rectangle as well as selecting

features outside the selection rectangle. This problem appears when a [[MySQL]] point data table is entered as a vector layer.

This is similar to other bugs reported and fixed some time ago for shape files.

This problem impacts [[MySQL]]; it does not appear to impact shape files. Selection from shape files appears to work properly

History

#1 - 2011-02-14 11:15 PM - luca76 -

confirming.

Same problem here with select attributes by a circle, on a [[PostGis]] layer.

#2 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:26 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#4 - 2012-09-04 11:59 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2014-10-16 06:48 AM - Otto Dassau

- Pull Request or Patch supplied set to No

Hi,

I have a similar problem here for a shape point layer under windows 64bit QGIS 2.2 and 2.4. Only some points within a rectangle are shown as selected.

Can this be a hardware problem? Because it happens only on one PC and another one works fine.

Regards
Otto

#7 - 2015-11-19 07:24 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

I can't reproduce it on PostGIS Point layer using all the selection tools. Do you still have it ? If it is the case could you attach a data set where the bug

occurs ?

#8 - 2015-12-19 10:50 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback.
